# $Id: Makefile.mk,v 1.7 1996/08/02 16:25:34 deaven Exp $

#include "dmd/machine.mk"

CFLAGS = $(C_ALWAYS_FLAGS) $(C_OPTIMIZE_FLAGS) -I$(DMDDIR)/include
EXELIBS = $(LD_ALWAYS_FLAGS) -ldmd $(LD_MATH_FLAGS)

EXE = geocat geodiff geoinfo geolattice georand geoxyz geoextract geosphere \
	geomopac geodat georotate geosed geordf geoifn

default: $(EXE)

install: exeinstall maninstall

exeinstall: $(EXE)
	install_files($(EXE),$(DMDDIR)/bin)

geocat: geocat.o 
	$(CC) -o $@ geocat.o $(EXELIBS)

geodiff: geodiff.o 
	$(CC) -o $@ geodiff.o $(EXELIBS)

geoinfo: geoinfo.o 
	$(CC) -o $@ geoinfo.o $(EXELIBS)

geolattice: geolattice.o 
	$(CC) -o $@ geolattice.o $(EXELIBS)

georand: georand.o 
	$(CC) -o $@ georand.o $(EXELIBS)

geoxyz: geoxyz.o 
	$(CC) -o $@ geoxyz.o $(EXELIBS)

geoextract: geoextract.o 
	$(CC) -o $@ geoextract.o $(EXELIBS)

geosphere: geosphere.o 
	$(CC) -o $@ geosphere.o $(EXELIBS)

geomopac: geomopac.o 
	$(CC) -o $@ geomopac.o $(EXELIBS)

geodat: geodat.o 
	$(CC) -o $@ geodat.o $(EXELIBS)

georotate: georotate.o 
	$(CC) -o $@ georotate.o $(EXELIBS)

geosed: geosed.o 
	$(CC) -o $@ geosed.o $(EXELIBS)

geordf: geordf.o 
	$(CC) -o $@ geordf.o $(EXELIBS)

geoifn: geoifn.o 
	$(CC) -o $@ geoifn.o $(EXELIBS)

maninstall:
	install_manual(geocat,1)
	install_manual(geodiff,1)
	install_manual(geoinfo,1)
	install_manual(georand,1)
	install_manual(georotate,1)
	install_manual(geordf,1)
	install_manual(geosed,1)
	install_manual(geoxyz,1)
	install_manual(geotools,1)

Makefiles:

clean:
	rm -f *.o core
	rm -f $(EXE)

depend:
	make_depend(*.c,depend.make)

include_file(depend.make)
